
# react-native-easy-check-box

## Getting started

`$ npm install react-native-easy-check-box --save`

### Mostly automatic installation

`$ react-native link react-native-easy-check-box`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-easy-check-box` and add `RNEasyCheckBox.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNEasyCheckBox.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import com.dahuangfeng.easyCheckBox.RNEasyCheckBoxPackage;` to the imports at the top of the file
  - Add `new RNEasyCheckBoxPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-easy-check-box'
  	project(':react-native-easy-check-box').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-easy-check-box/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-easy-check-box')
  	```


## Usage
```javascript
import RNEasyCheckBox from 'react-native-easy-check-box';

// TODO: What to do with the module?
RNEasyCheckBox;
```
  